MONGOC_DATABASE_HAS_COLLECTION(3)

NAME
mongoc_database_has_collection - mongoc_database_has_collection()

SYNOPSIS

bool
mongoc_database_has_collection (mongoc_database_t *database,
                                const char *name,
                                bson_error_t *error);

This function checks to see if a collection exists on the MongoDB server within database.

PARAMETERS

•   database: A mongoc_database_t.

•   name: A string containing the name of the collection.

•   error: An optional location for a bson_error_t or NULL.

ERRORS

Errors are propagated via the error parameter.

RETURNS

If the function succeeds, it returns true if the collection exists and false if not, and in either case the fields of error are cleared, if error is not NULL.

Returns false and sets error if there are invalid arguments or a server or network error.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc